scala.tools.nsc.backend.icode.analysis.CopyPropagation

# copyLattice

#### object copyLattice extends SemiLattice

The lattice for this analysis.

Linear Supertypes
SemiLattice, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. copyLattice
2. SemiLattice
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Bindings = Map[Location, Value]

2. #### type Elem = State

   Definition Classes
     copyLattice → SemiLattice

3. #### final case class IState [V, S](vars: V, stack: S) extends Product with Serializable

   Hold together local variable and stack state.

4. #### class State extends AnyRef

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val bottom: State

   Return the bottom element.

   Return the bottom element.

   Definition Classes
     copyLattice → SemiLattice

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def emptyBinding: HashMap[Location, Value]

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### val exceptionHandlerStack: collection.immutable.List[Unknown.type]

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def lub(xs: List[Elem], exceptional: Boolean): Elem

    Compute the least upper bound of a list of elements.

    Compute the least upper bound of a list of elements.

    Definition Classes
      SemiLattice

18. #### def lub2(exceptional: Boolean)(a: Elem, b: Elem): Elem

    Return the least upper bound of a and b.

    Return the least upper bound of a and b.

    Definition Classes
      copyLattice → SemiLattice

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### val top: State

    Return the top element.

    Return the top element.

    Definition Classes
      copyLattice → SemiLattice

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from SemiLattice

### Inherited from AnyRef

### Inherited from Any

### Ungrouped